Index: tiff/Cargo.toml
===================================================================
--- tiff.orig/Cargo.toml
+++ tiff/Cargo.toml
@@ -23,6 +23,13 @@ readme = "README.md"
 license = "MIT"
 repository = "https://github.com/image-rs/image-tiff"
 autobenches = false
+autotests = false
+
+[[test]]
+name = "decode_images"
+
+[[test]]
+name = "encode_images"
 
 [dependencies.flate2]
 version = "1.0.20"
Index: tiff/tests/decode_images.rs
===================================================================
--- tiff.orig/tests/decode_images.rs
+++ tiff/tests/decode_images.rs
@@ -52,7 +52,7 @@ fn test_image_color_type_unsupported(fil
         _ => false,
     });
 }
-
+/*
 #[test]
 fn test_cmyk_u8() {
     test_image_sum_u8("cmyk-3c-8b.tiff", ColorType::CMYK(8), 8522658);
@@ -175,7 +175,7 @@ fn test_string_tags() {
             _ => assert!(false),
         };
     }
-}
+}*/
 
 #[test]
 fn test_decode_data() {
@@ -199,11 +199,11 @@ fn test_decode_data() {
     }
 }
 
-#[test]
+/*#[test]
 fn issue_69() {
     test_image_sum_u16("issue_69_lzw.tiff", ColorType::Gray(16), 1015486);
     test_image_sum_u16("issue_69_packbits.tiff", ColorType::Gray(16), 1015486);
-}
+}*/
 
 // TODO: GrayA support
 //#[test]
@@ -216,6 +216,7 @@ fn issue_69() {
 //assert!(img_res.is_ok());
 //}
 
+/*
 #[test]
 fn test_tiled_rgb_u8() {
     test_image_sum_u8("tiled-rgb-u8.tif", ColorType::RGB(8), 39528948);
@@ -225,12 +226,14 @@ fn test_tiled_rgb_u8() {
 fn test_tiled_rect_rgb_u8() {
     test_image_sum_u8("tiled-rect-rgb-u8.tif", ColorType::RGB(8), 62081032);
 }
+*/
 
 /* #[test]
 fn test_tiled_jpeg_rgb_u8() {
     test_image_sum_u8("tiled-jpeg-rgb-u8.tif", ColorType::RGB(8), 93031606);
 } */
 
+/*
 #[test]
 fn test_tiled_oversize_gray_i8() {
     test_image_sum_i8("tiled-oversize-gray-i8.tif", ColorType::Gray(8), 1214996);
@@ -284,6 +287,7 @@ fn test_tiled_incremental() {
         }
     }
 }
+*/
 
 #[test]
 fn test_div_zero() {
@@ -490,6 +494,7 @@ fn timeout() {
     }
 }
 
+/*
 #[test]
 fn test_no_rows_per_strip() {
     test_image_sum_u8("no_rows_per_strip.tiff", ColorType::RGB(8), 99448840);
@@ -504,3 +509,4 @@ fn test_predictor_3_rgb_f32() {
 fn test_predictor_3_gray_f32() {
     test_image_sum_f32("predictor-3-gray-f32.tif", ColorType::Gray(32), 20008.275);
 }
+*/
Index: tiff/tests/encode_images.rs
===================================================================
--- tiff.orig/tests/encode_images.rs
+++ tiff/tests/encode_images.rs
@@ -186,14 +186,14 @@ macro_rules! test_roundtrip {
     };
 }
 
-test_roundtrip!(test_u8_roundtrip, U8, u8);
-test_roundtrip!(test_u16_roundtrip, U16, u16);
-test_roundtrip!(test_u32_roundtrip, U32, u32);
-test_roundtrip!(test_u64_roundtrip, U64, u64);
-test_roundtrip!(test_f32_roundtrip, F32, f32);
-test_roundtrip!(test_f64_roundtrip, F64, f64);
+//test_roundtrip!(test_u8_roundtrip, U8, u8);
+//test_roundtrip!(test_u16_roundtrip, U16, u16);
+//test_roundtrip!(test_u32_roundtrip, U32, u32);
+//test_roundtrip!(test_u64_roundtrip, U64, u64);
+//test_roundtrip!(test_f32_roundtrip, F32, f32);
+//test_roundtrip!(test_f64_roundtrip, F64, f64);
 
-#[test]
+/*#[test]
 fn test_gray_u8_roundtrip() {
     test_u8_roundtrip::<colortype::Gray8>("minisblack-1c-8b.tiff", ColorType::Gray(8));
 }
@@ -261,7 +261,7 @@ fn test_cmyk_f32_roundtrip() {
 #[test]
 fn test_gray_f64_roundtrip() {
     test_f64_roundtrip::<colortype::Gray64Float>("gradient-1c-64b-float.tiff", ColorType::Gray(64));
-}
+}*/
 
 trait AssertDecode {
     fn assert_tag_u32(&mut self, tag: u16) -> u32;
